# Package com.elastisys.scale.cloudpool.api

Interface Summary
CloudPool: A `CloudPool` is a management interface towards an elastic pool of machines for a particular cloud provider, handling communication with the cloud provider according to its API.

Class Summary
ApiVersion: Constants for present and historical API versions.

Enum Summary
Protocol: Supported cloud pool protocols.

Exception Summary
CloudPoolException: Thrown by a `CloudPool` to indicate an error condition.
NotConfiguredException: Thrown by a `CloudPool` to indicate that an operation failed due to the `CloudPool` not being configured.
NotFoundException: Thrown by a `CloudPool` to indicate that a requested resource (such as a machine pool member) could not be found.
NotStartedException: Thrown by a `CloudPool` to indicate that a request won't be serviced due to the `CloudPool` being in a stopped state.